<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/frameLayout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/colorWhite"
    tools:context=".view.ui.fragment.general.InvitationsFragment"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="55dp"
        android:background="@color/colorGreen"
        android:orientation="horizontal">

        <ImageButton
            android:id="@+id/fragment_invitation_top_bar_back_button"
            android:layout_width="55dp"
            android:layout_height="55dp"

            android:padding="10dp"
            android:tint="@color/colorWhite"
            android:background="@color/colorTransparent"
            android:src="@drawable/arrow"
            android:scaleType="centerInside"
            android:contentDescription="@string/parent" />


        <TextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"

            android:text="@string/invitations"
            android:textSize="24sp"
            android:elegantTextHeight="true"
            android:textAlignment="center"
            android:layout_gravity="center"
            android:layout_weight="1" />

        <View
            android:layout_width="55dp"
            android:layout_height="55dp"
            android:padding="10dp" />

    </LinearLayout>

    <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
        android:id="@+id/fragment_invitation_swipe_list_refresh_layout"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1">

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/fragment_invitation_list"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:scrollbars="vertical"
                tools:listitem="@layout/invitation_row"
                android:visibility="gone" />

            <TextView
                android:id="@+id/fragment_invitation_list_empty"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/no_invitation"
                android:textSize="16sp"
                android:layout_gravity="center"
                android:textAlignment="center"
                android:textColor="@color/colorBlack"
                android:visibility="visible" />

        </FrameLayout>

    </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>
</LinearLayout>